#!/usr/bin/env node
console.log('[cache-updater] - Generating meta.json');

const fs = require('fs');
const packageJson = JSON.parse(fs.readFileSync('./package.json'));
const appVersion = packageJson.version;

const jsonData = {
  version: appVersion,
};

var jsonContent = JSON.stringify(jsonData);

fs.writeFile('./public/meta.json', jsonContent, 'utf8', function(err) {
  if (err) {
    console.log(
      '[cache-updater] An error occured while writing JSON Object to meta.json'
    );
    return console.log(err);
  }

  console.log(
    '[cache-updater] meta.json file has been saved with latest version number ' +
      appVersion
  );
});
